
variables:
  MYSQL_HOST: localhost__bokeh_mariadb_10.3
  MYSQL_DATABASE: "bokeh_build_${CI_BUILD_REF}"
  MYSQL_ROOT_PASSWORD: root
  BOKEH_HTML_VALIDATOR_URL: "http://sthysel__nuhtml:8888"

test:php74_bokeh:
  image: bokeh_php74_with_chrome
  services:
    - localhost:5000/bokeh_mariadb_10.3
    - sthysel/nuhtml
  script:
    - bash scripts/ci_data_preparation.sh $MYSQL_DATABASE $MYSQL_HOST $MYSQL_ROOT_PASSWORD
    - bash build_bokeh.sh $MYSQL_DATABASE root $MYSQL_ROOT_PASSWORD $MYSQL_HOST
  except:
    - tags
  tags:
    - bladerunner


test:php74_other:
  image: bokeh_php74_with_chrome
  services:
    - localhost:5000/bokeh_mariadb_10.3
    - sthysel/nuhtml
  script:
    - bash scripts/ci_data_preparation.sh $MYSQL_DATABASE $MYSQL_HOST $MYSQL_ROOT_PASSWORD
    - bash build_other.sh $MYSQL_DATABASE root $MYSQL_ROOT_PASSWORD $MYSQL_HOST
  except:
    - tags
  tags:
    - sandbox


test:php81_bokeh:
  image: bokeh_php81
  services:
    - localhost:5000/bokeh_mariadb_10.3
    - sthysel/nuhtml
  script:
    - bash scripts/ci_data_preparation.sh $MYSQL_DATABASE $MYSQL_HOST $MYSQL_ROOT_PASSWORD
    - bash build_bokeh.sh $MYSQL_DATABASE root $MYSQL_ROOT_PASSWORD $MYSQL_HOST
  except:
    - tags
  tags:
    - bladerunner


test:php81_other:
  image: bokeh_php81
  services:
    - localhost:5000/bokeh_mariadb_10.3
    - sthysel/nuhtml
  script:
    - bash scripts/ci_data_preparation.sh $MYSQL_DATABASE $MYSQL_HOST $MYSQL_ROOT_PASSWORD
    - bash build_other.sh $MYSQL_DATABASE root $MYSQL_ROOT_PASSWORD $MYSQL_HOST
  except:
    - tags
  tags:
    - sandbox
